package domain

type GrantType string

const (
	PasswordCredentials GrantType = "password"
	ClientCredentials   GrantType = "client_credentials"
	Refreshing          GrantType = "refresh_token"
)

const (
	// DefaultRole 預設role
	DefaultRole = "user"
)

const (
	TokenTypeBearer = "Bearer"
)
