package config

import (
	"github.com/zeromicro/go-zero/core/stores/redis"
	"github.com/zeromicro/go-zero/zrpc"
	"time"
)

type Config struct {
	zrpc.RpcServerConf
	RedisCluster redis.RedisConf
	Token        struct {
		RefreshExpires time.Duration
		Expired        time.Duration
		Secret         string
	}
}
